# Jobshop

Real-time production tracking and process evaluation, under your own roof.

[![Gem Version](https://badge.fury.io/rb/jobshop.svg)](https://badge.fury.io/rb/jobshop)
[![Code Climate](https://codeclimate.com/github/jobshop/jobshop/badges/gpa.svg)](https://codeclimate.com/github/jobshop/jobshop)
[![Test Coverage](https://codeclimate.com/github/jobshop/jobshop/badges/coverage.svg)](https://codeclimate.com/github/jobshop/jobshop/coverage)

## TL;DR

**Jobshop is still a proof-of-concept.**

It may eat your homework or do nothing at all; there are no promises, but there
is a vision. Jobshop aims to take the complex machinery of a full-blown
manufacturing execution system and put it within reach of the average job shop.

## Requirements

Jobshop only requires a few things:

  - Ruby >= 2.6
  - Rails >= 5.2
  - PostgreSQL >= 11.0

## Quick Installation

The Quick Installation is designed to get you up and running a local Jobshop
server with minimum effort. This instance will be ideal for evaluating Jobshop
at any number of stations within your organization. If you would like to
deploy to a production server or create a local development environment, a few
extra considerations will need to be made. There are no guides yet but pull
requests are always welcome.

First, install the Jobshop gem.

```console
$ gem install jobshop
```

Then create your app:

```console
$ jobshop new my_jobshop
```

Change into the app directory.

```console
$ cd my_jobshop
```

`config/database.yml` should work out of the box however you should review it
and edit as necessary. Create the database.

```console
$ rails db:create
```

Run the newly pending migrations.

```console
$ rails db:migrate
```

Fire up your server with `rails s` and point your web browser to
[http://localhost:3000](http://localhost:3000)

## Bug Reports
If you discover a problem with Jobshop, we would like to know about it.

[https://github.com/frankjmattia/jobshop/issues](https://github.com/frankjmattia/jobshop/issues)

If you discover a security related bug, please do NOT use the GitHub issue
tracker. Send an email to
[frankjmattia@jobshop.io](mailto:frankjmattia@jobshop.io)

## License
Jobshop

Copyright &copy; Frank J. Mattia

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see
[http://www.gnu.org/licenses/](http://www.gnu.org/licenses/).
